%global dlrn_nvr ansible-config_template-1.2.2.dev5-2.20220409004848.743cb18
%global dlrn 1
%define upstream_version 1.2.2.dev5
%{!?upstream_version: %global upstream_version %{commit}}
%global commit 2d7949207c076d2b151692df1d8c10138f10ee6d
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%global srcname ansible-config_template

Name:           %{srcname}
Version: 1.2.2
Release: 2.20220409004848.743cb18%{?dist}
Summary:        Ansible plugin for config template

License:        ASL 2.0
URL:            https://opendev.org/openstack/%{srcname}
Source0: ansible-config_template-1.2.2.dev5-2.20220409004848.743cb18.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=743cb18d9b829d6771de4ea647db741e5dcdca8c

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

# Handle python2 exception
%if %{pyver} == 2
Requires:       ansible
%else
Requires:       python3dist(ansible)
%endif

%description

Ansible plugin for config template

%prep
%autosetup -n %{srcname}-%{upstream_version} -S git


%build
%{pyver_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/ansible_config_template*.egg-info
%{_datadir}/ansible/


%changelog
* Fri Apr 08 2022 OSP Prod Chain <dev-null@redhat.com> 1.2.2-2.20220409004848.743cb18
- Update patches
- Updated from OpenStack Ansible Tests

* Wed Apr 06 2022 OSP Prod Chain <dev-null@redhat.com> 1.2.2-2.20220407025120.8ca0706
- Update patches
- Set py_modules to an empty list in setup.py

* Wed Feb 16 2022 OSP Prod Chain <dev-null@redhat.com> 1.2.2-2.20220216230328.bd7543a
- Update patches
- Move zuul jobs layout to centos9 only for master branch

* Fri Jan 14 2022 OSP Prod Chain <dev-null@redhat.com> 1.2.2-2.20220114224851.4613791
- Update patches
- Copy refactor of code quality issues

* Sun Dec 19 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.2-2.20211219124942.2aee98f
- Update patches
- Updated from OpenStack Ansible Tests

* Wed Nov 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-2.20211125005943.7422a09
- Update patches
- Move config_template to plugins/action

* Tue Nov 16 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20211117004905.87410f1
- Update patches
- Fix repository URL in galaxy.yml

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20211113004952.bb1d445
- Update patches
- Add option to install as collection

* Sat Jun 26 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210626224809.8a9b962
- Update patches
- Use ansible_facts[] instead of fact variables
- Add PKI role to functional testing

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210531235813.57efa55
- Update patches
- Remove references to unsupported operating systems

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-2.20210527211018.59a80f9
- Update patches

* Tue Apr 20 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.2-.20210421004738.59a80f9
- Update patches
- Updated from OpenStack Ansible Tests

* Tue Apr 20 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.5e2b646git
- Update patches
- Run tests against localhost and container

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.e7a7fc1git
- Update patches

* Fri Sep 25 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.e7a7fc1git
- Update patches
- Updated from OpenStack Ansible Tests

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.ef8332fgit
- Update patches
- Fix section overrides when commented option persist

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.0fbb309git
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.da55a7fgit
- Update patches

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.da55a7fgit
- Update patches
- Update config_template to use the builtin _get_remote_user function

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.a85f296git
- Update patches
- Stop to use the __future__ module.

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.fefed37git
- Update patches
- Make code compatible with older ansible versions

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.b8e29c3git
- Update patches
- Modernise tox.ini and run OSA metal jobs in CI

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.7309ec6git
- Update patches
- Templar: use available_variables

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.dbe2586git
- Update patches
- Updated from OpenStack Ansible Tests

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.7ea3d6agit
- Update patches
- Add publish-to-pypi template which publishes tarball

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.0dfc0fegit
- Update patches
- Updated from OpenStack Ansible Tests

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.44f2d03git
- Update patches
- Update docstheme for style

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.b8e58ffgit
- Update patches
- [ussuri][goal] Update contributor documentation

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.e041bf7git
- Update patches
- Updated from OpenStack Ansible Tests

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.744994agit
- Update patches
- Updated from OpenStack Ansible Tests

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.f0618b1git
- Update patches
- Switch to CentOS 8 based Tripleo job

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.866ab0bgit
- Update patches

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.abc807agit
- Update patches
- Add option to enable / disable the template engine

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.80cc8edgit
- Update patches
- Add traps for py3 and fix remote src

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.43def98git
- Update patches
- Merge "Replace git.openstack.org with opendev.org"
- Merge "Add fallback option when stating the source file"
- Replace ostempest job with plain tripleo standalone
- Add fallback option when stating the source file
- Replace git.openstack.org with opendev.org

* Thu Nov 21 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.ff61269git
- Update patches
- Updated from OpenStack Ansible Tests

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 1.0.0-1.faf60ddgit
- Update patches

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- PDF Documentation Build tox target

* Tue Sep 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Sync Sphinx requirement"
- Sync Sphinx requirement


